Resource configuration for A product's jobs

Resource configuration for A product's jobs
Resource configuration for a product's jobs

Returns a list of the compute and disk configuration for all jobs on the product.

Request
URI
GET
https://{opsmanager-installation}/api/v0/staged/products/{product_guid}/resources
COPY
Path Parameters
string
product_guid
Required

The guid of the product


Responses
200

OK

Returns Resources of type(s) application/json
{
    "resources": [
        {
            "identifier": "string",
            "description": "string",
            "instances_best_fit": 0,
            "instance_type_id": "string",
            "instance_type_best_fit": "string",
            "persistent_disk_name": "string",
            "persistent_disk_mb": 0,
            "persistent_disk_best_fit": 0
        }
    ]
}
array of resources
resources
Optional

resources


400

Setup is not completed

Returns RequireSetupCompleted of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


401

Unauthorized

Returns UnauthorizedResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


403

Forbidden

Returns ForbiddenResponse of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


404

Product not found

Returns RequiresActiveProduct of type(s) application/json
{
    "errors": {
        "errors": [
            "string"
        ]
    }
}
object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/api/v0/staged/products/{product_guid}/resources